Subject: Re: [PATCH v2 2/3] dt-bindings: phy: phy-stm32-usbphyc: add optional phy tuning properties

From: Rob Herring <[email-masked]>
Date: Thu, 14 Oct 2021 13:16:28 -0500

On Wed, Oct 06, 2021 at 02:58:21PM +0200, Amelie DELAUNAY wrote:
> 
> 
> On 10/6/21 2:38 PM, Rob Herring wrote:
> > > Disable child nodes while parent node is already disabled fixes the
> > > warning. But it means to add status = "okay"; in child nodes everywhere
> > > usbphyc is enabled.
> > Presumably, you already have to add phy-supply everywhere.
> >  >> Is it normal dtbs_check checks in child nodes when parent node is
> disabled?
> > I'll look into doing that.
> 
> Should I wait for your potential dtbs_check update or should I disable child
> nodes in .dtsi (and enable them along with parent node in .dts using
> usbphyc) ?

I pushed a fix to dt-validate for this.

Rob

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel